create or replace function status_text(integer) returns text as '
  DECLARE t text;
  BEGIN
    t:='''';
    IF ($1 & 1) THEN t:=t||'' read''; END IF;
    IF ($1 & 2) THEN t:=t||'' unused''; END IF;
    IF ($1 & 4) THEN t:=t||'' replied''; END IF;
    IF ($1 & 8) THEN t:=t||'' forwarded''; END IF;
    IF ($1 & 16) THEN t:=t||'' trashed''; END IF;
    IF ($1 & 32) THEN t:=t||'' processed''; END IF;
    IF ($1 & 64) THEN t:=t||'' selected''; END IF;
    IF ($1 & 128) THEN t:=t||'' outgoing''; END IF;
    IF ($1 & 256) THEN t:=t||'' sent''; END IF;
    IF ($1 & 512) THEN t:=t||'' replying''; END IF;
    IF ($1 & 1024) THEN t:=t||'' composed''; END IF;
    RETURN t;
  END;
' LANGUAGE 'plpgsql';
