-- Run this script to upgrade a manitou database schema from v-0.9.5 to v-0.9.6

CREATE TABLE forward_addresses (
 to_email_addr  varchar(300),
 forward_to  text
);
CREATE UNIQUE INDEX fwa_idx ON forward_addresses(to_email_addr);

CREATE TABLE tags_words (
  tag_id int,
  word_id int,
  counter int
) WITHOUT OIDS;
CREATE INDEX tags_words_idx ON tags_words(word_id);

UPDATE runtime_info SET rt_value='0.9.6' WHERE rt_key='schema_version';
